Gentoo Archives: gentoo-commits

From: "Mike Gilbert (floppym)" <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in www-client/chromium: chromium-16.0.912.21.ebuild ChangeLog chromium-16.0.912.12.ebuild
Date: Wed, 02 Nov 2011 02:35:47
Message-Id: 20111102023537.2FF782004C@flycatcher.gentoo.org
1 floppym 11/11/02 02:35:37
2
3 Modified: ChangeLog
4 Added: chromium-16.0.912.21.ebuild
5 Removed: chromium-16.0.912.12.ebuild
6 Log:
7 Version bump for dev channel release.
8
9 (Portage version: 2.2.0_alpha72/cvs/Linux x86_64)
10
11 Revision Changes Path
12 1.484 www-client/chromium/ChangeLog
13
14 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.484&view=markup
15 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.484&content-type=text/plain
16 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.483&r2=1.484
17
18 Index: ChangeLog
19 ===================================================================
20 RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
21 retrieving revision 1.483
22 retrieving revision 1.484
23 diff -u -r1.483 -r1.484
24 --- ChangeLog 1 Nov 2011 09:59:54 -0000 1.483
25 +++ ChangeLog 2 Nov 2011 02:35:37 -0000 1.484
26 @@ -1,6 +1,12 @@
27 # ChangeLog for www-client/chromium
28 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
29 -# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.483 2011/11/01 09:59:54 phajdan.jr Exp $
30 +# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.484 2011/11/02 02:35:37 floppym Exp $
31 +
32 +*chromium-16.0.912.21 (02 Nov 2011)
33 +
34 + 02 Nov 2011; Mike Gilbert <floppym@g.o> +chromium-16.0.912.21.ebuild,
35 + -chromium-16.0.912.12.ebuild:
36 + Version bump for dev channel release.
37
38 01 Nov 2011; Pawel Hajdan jr <phajdan.jr@g.o>
39 chromium-16.0.912.15.ebuild, chromium-9999-r1.ebuild:
40
41
42
43 1.1 www-client/chromium/chromium-16.0.912.21.ebuild
44
45 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-16.0.912.21.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-16.0.912.21.ebuild?rev=1.1&content-type=text/plain
47
48 Index: chromium-16.0.912.21.ebuild
49 ===================================================================
50 # Copyright 1999-2011 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-16.0.912.21.ebuild,v 1.1 2011/11/02 02:35:37 floppym Exp $
53
54 EAPI="4"
55 PYTHON_DEPEND="2:2.6"
56
57 inherit eutils fdo-mime flag-o-matic gnome2-utils linux-info multilib \
58 pax-utils portability python toolchain-funcs versionator virtualx
59
60 DESCRIPTION="Open-source version of Google Chrome web browser"
61 HOMEPAGE="http://chromium.org/"
62 SRC_URI="http://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.bz2"
63
64 LICENSE="BSD"
65 SLOT="0"
66 KEYWORDS="~amd64 ~x86"
67 IUSE="bindist gnome gnome-keyring kerberos pulseaudio"
68
69 # en_US is ommitted on purpose from the list below. It must always be available.
70 LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he hi hr
71 hu id it ja kn ko lt lv ml mr nb nl pl pt_BR pt_PT ro ru sk sl sr sv sw ta te th
72 tr uk vi zh_CN zh_TW"
73 for lang in ${LANGS}; do
74 IUSE+=" linguas_${lang}"
75 done
76
77 RDEPEND="app-arch/bzip2
78 >=dev-lang/v8-3.6.5.1
79 dev-libs/dbus-glib
80 dev-libs/elfutils
81 >=dev-libs/icu-4.4.1
82 >=dev-libs/libevent-1.4.13
83 dev-libs/libgcrypt
84 dev-libs/libxml2[icu]
85 dev-libs/libxslt
86 >=dev-libs/nss-3.12.3
87 gnome? ( >=gnome-base/gconf-2.24.0 )
88 gnome-keyring? ( >=gnome-base/gnome-keyring-2.28.2 )
89 >=media-libs/alsa-lib-1.0.19
90 media-libs/flac
91 virtual/jpeg
92 media-libs/libpng
93 >=media-libs/libwebp-0.1.2
94 media-libs/speex
95 >=net-print/cups-1.3.11
96 pulseaudio? ( media-sound/pulseaudio )
97 sys-libs/zlib
98 x11-libs/gtk+:2
99 x11-libs/libXinerama
100 x11-libs/libXScrnSaver
101 x11-libs/libXtst
102 kerberos? ( virtual/krb5 )"
103 DEPEND="${RDEPEND}
104 dev-lang/nacl-toolchain-newlib
105 dev-lang/perl
106 dev-python/simplejson
107 >=dev-util/gperf-3.0.3
108 >=dev-util/pkgconfig-0.23
109 >=sys-devel/bison-2.4.3
110 sys-devel/flex
111 >=sys-devel/make-3.81-r2
112 test? ( dev-python/pyftpdlib )"
113 RDEPEND+="
114 !=www-client/chromium-9999
115 x11-misc/xdg-utils
116 virtual/ttf-fonts"
117
118 gyp_use() {
119 if [[ $# -lt 2 ]]; then
120 echo "!!! usage: gyp_use <USEFLAG> <GYPFLAG>" >&2
121 return 1
122 fi
123 if use "$1"; then echo "-D$2=1"; else echo "-D$2=0"; fi
124 }
125
126 egyp() {
127 set -- build/gyp_chromium --depth=. "${@}"
128 echo "${@}" >&2
129 "${@}"
130 }
131
132 # Chromium uses different names for some langs,
133 # return Chromium name corresponding to a Gentoo lang.
134 chromium_lang() {
135 if [[ "$1" == "es_LA" ]]; then
136 echo "es_419"
137 else
138 echo "$1"
139 fi
140 }
141
142 get_bundled_v8_version() {
143 "$(PYTHON -2)" "${FILESDIR}"/extract_v8_version.py v8/src/version.cc
144 }
145
146 get_installed_v8_version() {
147 best_version dev-lang/v8 | sed -e 's@dev-lang/v8-@@g'
148 }
149
150 pkg_pretend() {
151 if [[ "${MERGE_TYPE}" == "source" || "${MERGE_TYPE}" == "binary" ]]; then
152 # Fail if the kernel doesn't support features needed for sandboxing,
153 # bug #363907.
154 ERROR_PID_NS="PID_NS is required for sandbox to work"
155 ERROR_NET_NS="NET_NS is required for sandbox to work"
156 CONFIG_CHECK="PID_NS NET_NS"
157 check_extra_config
158 fi
159 }
160
161 if ! has chromium-pkg_die ${EBUILD_DEATH_HOOKS}; then
162 EBUILD_DEATH_HOOKS+=" chromium-pkg_die";
163 fi
164
165 chromium-pkg_die() {
166 if [[ "${EBUILD_PHASE}" != "compile" ]]; then
167 return
168 fi
169
170 # Prevent user problems like bug #348235.
171 eshopts_push -s extglob
172 if is-flagq '-g?(gdb)?([1-9])'; then
173 ewarn
174 ewarn "You have enabled debug info (i.e. -g or -ggdb in your CFLAGS/CXXFLAGS)."
175 ewarn "Please try removing -g{,gdb} before reporting a bug."
176 ewarn
177 fi
178 eshopts_pop
179
180 # ccache often causes bogus compile failures, especially when the cache gets
181 # corrupted.
182 if has ccache ${FEATURES}; then
183 ewarn
184 ewarn "You have enabled ccache. Please try disabling ccache"
185 ewarn "before reporting a bug."
186 ewarn
187 fi
188
189 # If the system doesn't have enough memory, the compilation is known to
190 # fail. Print info about memory to recognize this condition.
191 einfo
192 einfo "$(grep MemTotal /proc/meminfo)"
193 einfo "$(grep SwapTotal /proc/meminfo)"
194 einfo
195 }
196
197 pkg_setup() {
198 if [[ "${SLOT}" == "0" ]]; then
199 CHROMIUM_SUFFIX=""
200 else
201 CHROMIUM_SUFFIX="-${SLOT}"
202 fi
203 CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
204
205 # Make sure the build system will use the right tools, bug #340795.
206 tc-export AR CC CXX RANLIB
207
208 # Make sure the build system will use the right python, bug #344367.
209 python_set_active_version 2
210 python_pkg_setup
211
212 if use bindist; then
213 elog "bindist enabled: H.264 video support will be disabled."
214 else
215 elog "bindist disabled: Resulting binaries may not be legal to re-distribute."
216 fi
217 }
218
219 src_prepare() {
220 ln -s /usr/$(get_libdir)/nacl-toolchain-newlib \
221 native_client/toolchain/linux_x86_newlib || die
222
223 # zlib-1.2.5.1-r1 renames the OF macro in zconf.h, bug 383371.
224 sed -i '1i#define OF(x) x' \
225 third_party/zlib/contrib/minizip/{ioapi,{,un}zip}.c \
226 chrome/common/zip.cc || die
227
228 epatch_user
229
230 # Remove most bundled libraries. Some are still needed.
231 find third_party -type f \! -iname '*.gyp*' \
232 \! -path 'third_party/WebKit/*' \
233 \! -path 'third_party/angle/*' \
234 \! -path 'third_party/cacheinvalidation/*' \
235 \! -path 'third_party/cld/*' \
236 \! -path 'third_party/expat/*' \
237 \! -path 'third_party/ffmpeg/*' \
238 \! -path 'third_party/flac/flac.h' \
239 \! -path 'third_party/gpsd/*' \
240 \! -path 'third_party/harfbuzz/*' \
241 \! -path 'third_party/hunspell/*' \
242 \! -path 'third_party/iccjpeg/*' \
243 \! -path 'third_party/launchpad_translations/*' \
244 \! -path 'third_party/leveldb/*' \
245 \! -path 'third_party/leveldatabase/*' \
246 \! -path 'third_party/libjingle/*' \
247 \! -path 'third_party/libphonenumber/*' \
248 \! -path 'third_party/libvpx/*' \
249 \! -path 'third_party/lss/*' \
250 \! -path 'third_party/mesa/*' \
251 \! -path 'third_party/modp_b64/*' \
252 \! -path 'third_party/mongoose/*' \
253 \! -path 'third_party/npapi/*' \
254 \! -path 'third_party/openmax/*' \
255 \! -path 'third_party/ots/*' \
256 \! -path 'third_party/protobuf/*' \
257 \! -path 'third_party/scons-2.0.1/*' \
258 \! -path 'third_party/sfntly/*' \
259 \! -path 'third_party/skia/*' \
260 \! -path 'third_party/smhasher/*' \
261 \! -path 'third_party/speex/speex.h' \
262 \! -path 'third_party/sqlite/*' \
263 \! -path 'third_party/tcmalloc/*' \
264 \! -path 'third_party/tlslite/*' \
265 \! -path 'third_party/undoview/*' \
266 \! -path 'third_party/v8-i18n/*' \
267 \! -path 'third_party/webdriver/*' \
268 \! -path 'third_party/webgl_conformance/*' \
269 \! -path 'third_party/webrtc/*' \
270 \! -path 'third_party/yasm/*' \
271 \! -path 'third_party/zlib/contrib/minizip/*' \
272 -delete || die
273
274 local v8_bundled="$(get_bundled_v8_version)"
275 local v8_installed="$(get_installed_v8_version)"
276 elog "V8 version: bundled - ${v8_bundled}; installed - ${v8_installed}"
277
278 # Remove bundled v8.
279 find v8 -type f \! -iname '*.gyp*' -delete || die
280
281 # The implementation files include v8 headers with full path,
282 # like #include "v8/include/v8.h". Make sure the system headers
283 # will be used.
284 # TODO: find a solution that can be upstreamed.
285 rmdir v8/include || die
286 ln -s /usr/include v8/include || die
287
288 # Make sure the build system will use the right python, bug #344367.
289 # Only convert directories that need it, to save time.
290 python_convert_shebangs -q -r 2 build tools
291 }
292
293 src_configure() {
294 local myconf=""
295
296 # Never tell the build system to "enable" SSE2, it has a few unexpected
297 # additions, bug #336871.
298 myconf+=" -Ddisable_sse2=1"
299
300 # Use system-provided libraries.
301 # TODO: use_system_ffmpeg
302 # TODO: use_system_hunspell (upstream changes needed).
303 # TODO: use_system_ssl (http://crbug.com/58087).
304 # TODO: use_system_sqlite (http://crbug.com/22208).
305 # TODO: use_system_vpx
306 myconf+="
307 -Duse_system_bzip2=1
308 -Duse_system_flac=1
309 -Duse_system_icu=1
310 -Duse_system_libevent=1
311 -Duse_system_libjpeg=1
312 -Duse_system_libpng=1
313 -Duse_system_libwebp=1
314 -Duse_system_libxml=1
315 -Duse_system_speex=1
316 -Duse_system_v8=1
317 -Duse_system_xdg_utils=1
318 -Duse_system_zlib=1"
319
320 # Optional dependencies.
321 # TODO: linux_link_kerberos, bug #381289.
322 myconf+="
323 $(gyp_use gnome use_gconf)
324 $(gyp_use gnome-keyring use_gnome_keyring)
325 $(gyp_use gnome-keyring linux_link_gnome_keyring)
326 $(gyp_use kerberos use_kerberos)
327 $(gyp_use pulseaudio use_pulseaudio)"
328
329 # Enable sandbox.
330 myconf+="
331 -Dlinux_sandbox_path=${CHROMIUM_HOME}/chrome_sandbox
332 -Dlinux_sandbox_chrome_path=${CHROMIUM_HOME}/chrome"
333
334 # if host-is-pax; then
335 # # Prevent the build from failing (bug #301880). The performance
336 # # difference is very small.
337 # myconf+=" -Dv8_use_snapshot=0"
338 # fi
339
340 # Our system ffmpeg should support more codecs than the bundled one
341 # for Chromium.
342 # myconf+=" -Dproprietary_codecs=1"
343
344 if ! use bindist; then
345 # Enable H.624 support in bundled ffmpeg.
346 myconf+=" -Dproprietary_codecs=1 -Dffmpeg_branding=Chrome"
347 fi
348
349 local myarch="$(tc-arch)"
350 if [[ $myarch = amd64 ]] ; then
351 myconf+=" -Dtarget_arch=x64"
352 elif [[ $myarch = x86 ]] ; then
353 myconf+=" -Dtarget_arch=ia32"
354 elif [[ $myarch = arm ]] ; then
355 # TODO: check this again after
356 # http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39509 is fixed.
357 append-flags -fno-tree-sink
358
359 myconf+=" -Dtarget_arch=arm -Ddisable_nacl=1 -Dlinux_use_tcmalloc=0"
360 else
361 die "Failed to determine target arch, got '$myarch'."
362 fi
363
364 # Make sure that -Werror doesn't get added to CFLAGS by the build system.
365 # Depending on GCC version the warnings are different and we don't want
366 # the build to fail because of that.
367 myconf+=" -Dwerror="
368
369 # Avoid a build error with -Os, bug #352457.
370 replace-flags "-Os" "-O2"
371
372 egyp ${myconf} || die
373 }
374
375 src_compile() {
376 emake chrome chrome_sandbox chromedriver BUILDTYPE=Release V=1 || die
377 pax-mark m out/Release/chrome
378 if use test; then
379 emake {base,crypto,googleurl,net}_unittests BUILDTYPE=Release V=1 || die
380 pax-mark m out/Release/{base,crypto,googleurl,net}_unittests
381 fi
382 }
383
384 src_test() {
385 # For more info see bug #350349.
386 local mylocale='en_US.utf8'
387 if ! locale -a | grep -q "$mylocale"; then
388 eerror "${PN} requires ${mylocale} locale for tests"
389 eerror "Please read the following guides for more information:"
390 eerror " http://www.gentoo.org/doc/en/guide-localization.xml"
391 eerror " http://www.gentoo.org/doc/en/utf-8.xml"
392 die "locale ${mylocale} is not supported"
393 fi
394
395 # For more info see bug #370957.
396 if [[ $UID -eq 0 ]]; then
397 die "Tests must be run as non-root. Please use FEATURES=userpriv."
398 fi
399
400 # For more info see bug #350347.
401 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
402 '--gtest_filter=-ICUStringConversionsTest.*'
403
404 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/crypto_unittests virtualmake
405 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/googleurl_unittests virtualmake
406
407 # NetUtilTest: bug #361885.
408 # NetUtilTest.GenerateFileName: some locale-related mismatch.
409 # UDP: unstable, active development. We should revisit this later.
410 LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
411 '--gtest_filter=-NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:NetUtilTest.GenerateFileName:*UDP*'
412 }
413
414 src_install() {
415 exeinto "${CHROMIUM_HOME}"
416 doexe out/Release/chrome || die
417 doexe out/Release/chrome_sandbox || die
418 fperms 4755 "${CHROMIUM_HOME}/chrome_sandbox"
419
420 doexe out/Release/chromedriver || die
421
422 # Install Native Client files on platforms that support it.
423 insinto "${CHROMIUM_HOME}"
424 case "$(tc-arch)" in
425 amd64)
426 doins out/Release/nacl_irt_x86_64.nexe || die
427 doins out/Release/libppGoogleNaClPluginChrome.so || die
428 ;;
429 x86)
430 doins out/Release/nacl_irt_x86_32.nexe || die
431 doins out/Release/libppGoogleNaClPluginChrome.so || die
432 ;;
433 esac
434
435 newexe "${FILESDIR}"/chromium-launcher-r2.sh chromium-launcher.sh || die
436 if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
437 sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" \
438 -i "${ED}"/"${CHROMIUM_HOME}"/chromium-launcher.sh || die
439 sed "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g" \
440 -i "${ED}"/"${CHROMIUM_HOME}"/chromium-launcher.sh || die
441 sed "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:" \
442 -i "${ED}"/"${CHROMIUM_HOME}"/chromium-launcher.sh || die
443 fi
444
445 # It is important that we name the target "chromium-browser",
446 # xdg-utils expect it; bug #355517.
447 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
448 # keep the old symlink around for consistency
449 dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
450
451 # Allow users to override command-line options, bug #357629.
452 dodir /etc/chromium || die
453 insinto /etc/chromium
454 newins "${FILESDIR}/chromium.default" "default" || die
455
456 # Support LINGUAS, bug #332751.
457 local pak
458 for pak in out/Release/locales/*.pak; do
459 local pakbasename="$(basename ${pak})"
460 local pakname="${pakbasename%.pak}"
461 local langname="${pakname//-/_}"
462
463 # Do not issue warning for en_US locale. This is the fallback
464 # locale so it should always be installed.
465 if [[ "${langname}" == "en_US" ]]; then
466 continue
467 fi
468
469 local found=false
470 local lang
471 for lang in ${LANGS}; do
472 local crlang="$(chromium_lang ${lang})"
473 if [[ "${langname}" == "${crlang}" ]]; then
474 found=true
475 break
476 fi
477 done
478 if ! $found; then
479 ewarn "LINGUAS warning: no ${langname} in LANGS"
480 fi
481 done
482 local lang
483 for lang in ${LANGS}; do
484 local crlang="$(chromium_lang ${lang})"
485 local pakfile="out/Release/locales/${crlang//_/-}.pak"
486 if [ ! -f "${pakfile}" ]; then
487 ewarn "LINGUAS warning: no .pak file for ${lang} (${pakfile} not found)"
488 fi
489 if ! use linguas_${lang}; then
490 rm "${pakfile}" || die
491 fi
492 done
493
494 insinto "${CHROMIUM_HOME}"
495 doins out/Release/chrome.pak || die
496 doins out/Release/resources.pak || die
497
498 doins -r out/Release/locales || die
499 doins -r out/Release/resources || die
500
501 newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
502 newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
503
504 # Chromium looks for these in its folder
505 # See media_posix.cc and base_paths_linux.cc
506 # dosym /usr/$(get_libdir)/libavcodec.so.52 "${CHROMIUM_HOME}" || die
507 # dosym /usr/$(get_libdir)/libavformat.so.52 "${CHROMIUM_HOME}" || die
508 # dosym /usr/$(get_libdir)/libavutil.so.50 "${CHROMIUM_HOME}" || die
509 doexe out/Release/libffmpegsumo.so || die
510
511 # Install icons and desktop entry.
512 for SIZE in 16 22 24 32 48 64 128 256 ; do
513 insinto /usr/share/icons/hicolor/${SIZE}x${SIZE}/apps
514 newins chrome/app/theme/chromium/product_logo_${SIZE}.png \
515 chromium-browser${CHROMIUM_SUFFIX}.png || die
516 done
517 local mime_types="text/html;text/xml;application/xhtml+xml;"
518 mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
519 make_desktop_entry \
520 chromium-browser${CHROMIUM_SUFFIX} \
521 "Chromium${CHROMIUM_SUFFIX}" \
522 chromium-browser${CHROMIUM_SUFFIX} \
523 "Network;WebBrowser" \
524 "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
525 sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
526
527 # Install GNOME default application entry (bug #303100).
528 if use gnome; then
529 dodir /usr/share/gnome-control-center/default-apps || die
530 insinto /usr/share/gnome-control-center/default-apps
531 newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
532 if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
533 sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
534 "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
535 fi
536 fi
537 }
538
539 pkg_preinst() {
540 gnome2_icon_savelist
541 }
542
543 pkg_postinst() {
544 fdo-mime_desktop_database_update
545 gnome2_icon_cache_update
546
547 # For more info see bug #292201, bug #352263, bug #361859.
548 elog
549 elog "Depending on your desktop environment, you may need"
550 elog "to install additional packages to get icons on the Downloads page."
551 elog
552 elog "For KDE, the required package is kde-base/oxygen-icons."
553 elog
554 elog "For other desktop environments, try one of the following:"
555 elog " - x11-themes/gnome-icon-theme"
556 elog " - x11-themes/tango-icon-theme"
557
558 # For more info see bug #359153.
559 elog
560 elog "Some web pages may require additional fonts to display properly."
561 elog "Try installing some of the following packages if some characters"
562 elog "are not displayed properly:"
563 elog " - media-fonts/arphicfonts"
564 elog " - media-fonts/bitstream-cyberbit"
565 elog " - media-fonts/droid"
566 elog " - media-fonts/ipamonafont"
567 elog " - media-fonts/ja-ipafonts"
568 elog " - media-fonts/takao-fonts"
569 elog " - media-fonts/wqy-microhei"
570 elog " - media-fonts/wqy-zenhei"
571 }
572
573 pkg_postrm() {
574 gnome2_icon_cache_update
575 }